QwtCompass(3)

NAME
QwtCompass -

A Compass Widget.

SYNOPSIS

#include <qwt_compass.h>

Inherits QwtDial.

  Public Member Functions
QwtCompass (QWidget *parent=NULL)
Constructor.
virtual ~QwtCompass ()
Destructor.
void setRose (QwtCompassRose *rose)
const QwtCompassRose * rose () const
QwtCompassRose * rose ()

  Protected Member Functions
virtual void drawRose (QPainter *, const QPointF &center, double radius, double north, QPalette::ColorGroup) const
virtual void drawScaleContents (QPainter *, const QPointF &center, double radius) const
virtual void keyPressEvent (QKeyEvent *)

  Additional Inherited Members

Detailed Description

A Compass Widget. QwtCompass is a widget to display and enter directions. It consists of a scale, an optional needle and rose.

Note:
    The examples/dials example shows how to use QwtCompass.

Constructor & Destructor Documentation

  QwtCompass::QwtCompass (QWidget *parent = NULL) [explicit]

Constructor.

Parameters:
    parent Parent widget

Create a compass widget with a scale, no needle and no rose. The default origin is 270.0 with no valid value. It accepts mouse and keyboard inputs and has no step size. The default mode is QwtDial::RotateNeedle.

Member Function Documentation

  void QwtCompass::drawRose (QPainter *painter, const QPointF &center, doubleradius, doublenorth, QPalette::ColorGroupcg) const [protected], [virtual]
Draw the compass rose

Parameters:
    painter Painter
    center Center of the compass
    radius of the circle, where to paint the rose
    north Direction pointing north, in degrees counter clockwise
    cg Color group

  void QwtCompass::drawScaleContents (QPainter *painter, const QPointF &center, doubleradius) const [protected], [virtual]
Draw the contents of the scale

Parameters:
    painter Painter
    center Center of the content circle
    radius Radius of the content circle

Reimplemented from QwtDial.

  void QwtCompass::keyPressEvent (QKeyEvent *kev) [protected], [virtual]
Handles key events

Beside the keys described in QwtDial::keyPressEvent numbers from 1-9 (without 5) set the direction according to their position on the num pad.

See Also:
    isReadOnly()

Reimplemented from QwtAbstractSlider.

  const QwtCompassRose * QwtCompass::rose () const

Returns:
    rose

See Also:
    setRose()

  QwtCompassRose * QwtCompass::rose ()

Returns:
    rose

See Also:
    setRose()

  void QwtCompass::setRose (QwtCompassRose *rose)
Set a rose for the compass

Parameters:
    rose Compass rose

Warning:
    The rose will be deleted, when a different rose is set or in ~QwtCompass

See Also:
    rose()

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.